cómo ejecutar easy_install usando una versión particular de Python

Tengo 3 versiones de python, quiero instalar fácilmente Orange usando la segunda versión. ¿Cómo puedo hacer esto?

Información innecesaria:

  1. 2.1 en / usr / bin / python
  2. 2.6 en /Library/Frameworks/Python.framework/Versions/2.6/bin/python
  3. 3.1 en /Library/Frameworks/Python.framework/Versions/3.1/bin/python

Respuesta: Ok lo encontré aquí ( http://peak.telecommunity.com/DevCenter/EasyInstall#multiple-python-versions ),

“Además, si está trabajando con Python versión 2.4 o superior, puede ejecutar Python con -m easy_install para ejecutar el comando easy_install de esa versión particular de Python”

    easy_install se suele instalar / siempre por versión de Python . Así que ejecuta la versión relacionada de easy_install instalada para su versión / intérprete de Python particular que desea usar aquí.

    Solo para que la respuesta sea fácil de encontrar:

    El uso de “Python-version” con el parámetro m y easy_install después hace el truco.

    Ejemplo:

    python2.7 -m easy_install https://bitbucket.org/james_taylor/bx-python/get/tip.tar.bz2 

    Digamos que su versión de python es 3.5. Luego puede usar el comando easy_install-3.5 seguido del nombre del módulo que desea descargar / instalar. Vea la documentación aquí .

    Desde el doc, además de la opción informada.

     python2.7 -m easy_install 

    también hay:

    si instala EasyInstall para Python 2.3 y 2.4, puede usar los scripts easy_install-2.3 o easy_install-2.4 para instalar paquetes para Python 2.3 o 2.4